if(isFile("Add-Ons/Sound_Blockland/server.cs"))
{
   forceRequiredAddOn("Sound_Blockland");
}
else
{
   datablock AudioProfile(Block_MoveBrick_Sound)
   {
      filename = "base/data/sound/clickMove.wav";
      description = AudioClosest3d;
      preload = false;
   };
   datablock AudioProfile(Block_PlantBrick_Sound)
   {
      filename = "base/data/sound/clickPlant.wav";
      description = AudioClosest3d;
      preload = false;
   };
   datablock AudioProfile(Block_ChangeBrick_Sound)
   {
      filename = "base/data/sound/clickChange.wav";
      description = AudioClosest3d;
      preload = false;
   };
}

if(isFile("Add-Ons/Gamemode_Zombie/server.cs") && $AddOn__Gamemode_Zombie == 1)
{
	$BushidoL4DGuns::UsingRotZombies = 1;
	$BushidoL4DGuns::UsingZombies = 1;
}

if(isFile("Add-Ons/Gamemode_ZAPT/server.cs") && $AddOn__Gamemode_ZAPT == 1)
{
	$BushidoL4DGuns::UsingZombies = 1;
}

//we need the gun add-on for this, so force it to load
%error = ForceRequiredAddOn("Weapon_Gun");

if(%error == $Error::AddOn_Disabled)
{
   //we don't have the gun, so we're screwed
   error("ERROR: Weapon_CODMW2Intervention - required add-on Weapon_Gun not found");
}
else
{
   exec("./Weapon_CODMW2Intervention.cs");
   exec("./Support_RaycastingWeapons.cs");  
}
